All Collections
Technical Questions
What are Quill's technical requirements?
What are Quill's technical requirements?
Updated today

Quill is built with HTML5, so it runs on tablets, smartphones, and modern browsers. It also runs on up-to-date versions of Google Chrome, Firefox, and Safari. Quill recommends that students have access to keyboards so that they can type their responses.
โ€‹


Have more questions?

Please feel free to send a message to the Quill team using the green message bubble on the bottom right corner of the screen or email us at support@quill.org.

Did this answer your question?